package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * VisitorCreateRequest - 应用接入新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class VisitorCreateRequest extends BaseRequest {

    /**
     * 应用名称.
     */
    @NotBlank(message = "[appName]应用名称不能为空")
    @Length(min = 0, max = 50, message = "[appName]应用名称长度不合法(0-50)")
    private String appName;

    /**
     * 应用简介.
     */
    @Length(min = 0, max = 255, message = "[appNote]应用简介长度不合法(0-255)")
    private String appNote;

    /**
     * 应用码.
     */
    @NotBlank(message = "[appKey]应用码不能为空")
    @Length(min = 0, max = 50, message = "[appKey]应用码长度不合法(0-50)")
    private String appKey;

    /**
     * 安全码.
     */
    @NotBlank(message = "[appSecret]安全码不能为空")
    @Length(min = 0, max = 16, message = "[appSecret]安全码长度不合法(0-16)")
    private String appSecret;

    /**
     * 是否有效.
     */
    @NotNull(message = "[valid]是否有效不能为NULL")
    private Boolean valid;

    public String getAppName() {
        return this.appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppNote() {
        return this.appNote;
    }

    public void setAppNote(String appNote) {
        this.appNote = appNote;
    }

    public String getAppKey() {
        return this.appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return this.appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
